Subject: Re: [Isis-wg] AD review of draft-ietf-isis-mi-bis-01

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 18 Mar 2017 16:55:22 +0000

Hi Uma,

As a WG Chair, there have been instances where authors that were not actively participating in the WG at the time of the BIS requested to be retained as authors. In these cases, we usually retained them on the condition that they reviewed the draft and responding promptly to IPR and RFC editor queries. In some cases, this resulted in more than 5 authors but it was easy to get a dispensation. However, in other cases, the original authors were no longer actively participating in the WG and didn’t really care. Another consideration is whether there is an overlap of authors from original and whether the overlap includes those who did the lion’s share of the work on the original document. If this is the case, than I don’t see a requirement to retain all the original authors.

Please note that my observations are general and not specific to this draft or any other draft.

Thanks,
Acee

From: Isis-wg <[email-masked]<mailto:[email-masked]>> on behalf of Uma Chunduri <[email-masked]<mailto:[email-masked]>>
Date: Friday, March 17, 2017 at 8:29 PM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>, "Les Ginsberg (ginsberg)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Isis-wg] AD review of draft-ietf-isis-mi-bis-01

Hi Alia,

Thx for your response.
In-line [Uma]:
--
Uma C.

From: Alia Atlas [mailto:[email-masked]]
Sent: Friday, March 17, 2017 1:51 PM
To: Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>
Cc: Uma Chunduri <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: AD review of draft-ietf-isis-mi-bis-01

To clarify further, it is most common for the authors to be retained in a bis draft.
[Uma]: This is what I generally see in other WGs..

However, if they are unresponsive (which can cause process problems) or it causes the author list (which is really more active editors) to grow too long, then an acknowledgements section is appropriate.
[Uma]: Possible, but I see your “if” clause..

In this case, where there are active authors who were also on RFC 6822, I assume
that appropriate discussions have happened.
[Uma]: I didn’t remember any discussion on this..

Regards,
Alia

On Fri, Mar 17, 2017 at 4:34 PM, Alia Atlas <[email-masked]<mailto:[email-masked]>> wrote:
Uma,

Les has already said it.  It is common to have a section that mentions and thanks the authors of the original RFC when a bis version is done with different authors.

Keeping the previous authors can cause issues for reviews and approvals later on.

Regards,
Alia

On Fri, Mar 17, 2017 at 4:05 PM, Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:
Uma –

I am not aware of any requirement to have the original set of authors be authors of a bis document – and there are certainly other examples where authorship has changed. And there are obvious practical reasons why authorship may change.

The authors of the bis draft are the ones who actively participated in the writing of the bis draft. The fact that some of the authors of RFC 6822 did not participate in the writing of the bis draft  in no way diminishes their past contributions which are permanently recorded in RFC 6822.

I’ll let Alia take it from here from an official IETF process standpoint.

   Les

From: Uma Chunduri [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Friday, March 17, 2017 11:45 AM

To: Les Ginsberg (ginsberg); Alia Atlas; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: AD review of draft-ietf-isis-mi-bis-01

Les,

Thx for the clarification.

I too agree on this (couldn’t notice this earlier more thoroughly..) and in that case why original authors were completely replaced with new set of folks as opposed to adding?

W.r.t. this, why we how to do this differently while numerous other WGs just do the addition and the ratified changes to the original document.

My view is we need not be different here but would be happy to listen from you, AD and other esteemed members of this group.

--
Uma C.

From: Les Ginsberg (ginsberg) [mailto:[email-masked]]
Sent: Friday, March 17, 2017 11:30 AM
To: Uma Chunduri <[email-masked]<mailto:[email-masked]>>; Alia Atlas <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: AD review of draft-ietf-isis-mi-bis-01

Uma –

I agree w Alia’s evaluation that this replaces RFC 6822.

   Les

From: Uma Chunduri [mailto:[email-masked]]
Sent: Friday, March 17, 2017 11:15 AM
To: Les Ginsberg (ginsberg); Alia Atlas; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: AD review of draft-ietf-isis-mi-bis-01

>4) In the IANA considerations, the references should be updated to point to this document, and most particularly if it obsoletes RFC 6822.
>[Les:] Agreed. I did not think I had to state that – I assumed IANA would just do that – but I am happy to add a line in IANA section stating that all references to RFC 6822 should be updated to point to this document.

Quick comment:

Currently document says it updates 6822 – which is correct?

-          I can guess but want to hear author thoughts..

--
Uma C.

From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Friday, March 17, 2017 10:57 AM
To: Alia Atlas <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Isis-wg] AD review of draft-ietf-isis-mi-bis-01

Alia –

Thanx for meticulous review.
Inline.

From: Alia Atlas [mailto:[email-masked]]
Sent: Friday, March 17, 2017 8:47 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: AD review of draft-ietf-isis-mi-bis-01

As is customary, I have done my AD review of draft-ietf-isis-mi-bis-01.  First, I would like to thank the authors - Les, Stefano, and Wim - for their work on this document.

I do have a few minor issues that need to be fixed ASAP.   I will, however, go ahead and issue a 3 week IETF Last Call for it so that, if the authors act promptly, it can be on the April 13 telechat.

1) This draft pretty clearly should obsolete RFC 6822, but the header claims to merely
update it.

[Les:] OK

 2) Sec 2.6.2: " Point-to-point adjacency setup MUST be done through the use of the
         three-way handshaking procedure as defined in [RFC5303] in order to
         prevent a non-MI capable neighbor from bringing up an adjacency
         prematurely based on reception of an IIH with an IID-TLV for a non-
         zero instance."
     While obviously the 3-way handshake in RFC5303 is fine, given that different MAC addresses are used, I don't see how a non-MI capable neighbor would receive and process an IIH with an IID-TLV where IID != 0.

[Les:] Section 2.6.2 is only talking about true pt-pt media – hence MAC multicast addresses are not relevant. In Section 2.6.1 we discuss the case of operating in Pt-Pt mode on a broadcast circuit:

“When operating in point-to-point mode on a broadcast circuit
   [RFC5309]…”

3) In Appendix A:" Clarification that the IID-TLV is only included in Pt-Pt IIHs
   associated with non-zero instances has been added.  This addresses
   Errata ID #4519."
   In Sec 2.6.2, it says "The presence or absence of the IID-TLV in an IIH indicates that the
   neighbor does or does not support this extension, respectively.
   Therefore, all IIHs sent on a point-to-point circuit by an MI-RTR
   MUST include an IID-TLV.  This includes IIHs associated with IID #0." which is a direct
   contradiction and needed since the IID-TLV is used as a capability indication.  The
   simplest solution is to remove the claim from the Appendix.
[Les:] Again, you are confusing Pt-Pt media with Pt-Pt operation on a Broadcast media. Errata 4519 is concerned with Pt-Pt operation on a LAN – and some modest clarifications in Section 2.6.1 were made to more completely cover the latter case.
In the Pt-Pt operation on a LAN case it IS illegal to send IID-TLV in hellos for the zero instance – which Section 2.6.1 explicitly states.

Perhaps the Appendix should say:

“Clarification that when operating in point-to-point mode on a broadcast circuit the IID-TLV is only included in Pt-Pt IIHs
   associated with non-zero instances has been added. ..”

Will this address your concern?

4) In the IANA considerations, the references should be updated to point to this document, and most particularly if it obsoletes RFC 6822.

[Les:] Agreed. I did not think I had to state that – I assumed IANA would just do that – but I am happy to add a line in IANA section stating that all references to RFC 6822 should be updated to point to this document.

Let me know if the above changes will suffice and I will spin a new version.

   Les

Regards,
Alia

---

From: Uma Chunduri <[email-masked]>
Date: Mon, 20 Mar 2017 17:29:18 +0000

Hi Acee,

Quick replies in-line [Uma]:
Thx!
--
Uma C.

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Saturday, March 18, 2017 9:55 AM
To: Uma Chunduri <[email-masked]>; Alia Atlas <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Isis-wg] AD review of draft-ietf-isis-mi-bis-01

Hi Uma,

As a WG Chair, there have been instances where authors that were not actively participating in the WG at the time of the BIS requested to be retained as authors. In these cases, we usually retained them on the condition that they reviewed the draft and responding promptly to IPR and RFC editor queries.
In some cases, this resulted in more than 5 authors but it was easy to get a dispensation. However, in other cases, the original authors were no longer actively participating in the WG and didn't really care.
Another consideration is whether there is an overlap of authors from original and whether the overlap includes those who did the lion's share of the work on the original document.
[Uma]: I get that and I see that's  immaterial on the broader point..
If this is the case, than I don't see a requirement to retain all the original authors.
[Uma]: We don't know what is the case here, as there is no discussion in the list.

Please note that my observations are general and not specific to this draft or any other draft.
[Uma]: ... and my comments were too in general and not particularly for this draft (happened to notice the conversation and looked at both documents in detail).

Thanks,
Acee

Hi Alia,

Thx for your response.
In-line [Uma]:
--
Uma C.

However, if they are unresponsive (which can cause process problems) or it causes the author list (which is really more active editors) to grow too long, then an acknowledgements section is appropriate.
[Uma]: Possible, but I see your "if" clause..

In this case, where there are active authors who were also on RFC 6822, I assume
that appropriate discussions have happened.
[Uma]: I didn't remember any discussion on this..

Regards,
Alia

Regards,
Alia

Uma -

I am not aware of any requirement to have the original set of authors be authors of a bis document - and there are certainly other examples where authorship has changed. And there are obvious practical reasons why authorship may change.

I'll let Alia take it from here from an official IETF process standpoint.

   Les

Les,

I too agree on this (couldn't notice this earlier more thoroughly..) and in that case why original authors were completely replaced with new set of folks as opposed to adding?

--
Uma C.

Uma -

I agree w Alia's evaluation that this replaces RFC 6822.

   Les

>[Les:] Agreed. I did not think I had to state that - I assumed IANA would just do that - but I am happy to add a line in IANA section stating that all references to RFC 6822 should be updated to point to this document.

Quick comment:

Currently document says it updates 6822 - which is correct?

--
Uma C.

Alia -

[Les:] OK

[Les:] Section 2.6.2 is only talking about true pt-pt media - hence MAC multicast addresses are not relevant. In Section 2.6.1 we discuss the case of operating in Pt-Pt mode on a broadcast circuit:

"When operating in point-to-point mode on a broadcast circuit
   [RFC5309]..."

[Les:] Again, you are confusing Pt-Pt media with Pt-Pt operation on a Broadcast media. Errata 4519 is concerned with Pt-Pt operation on a LAN - and some modest clarifications in Section 2.6.1 were made to more completely cover the latter case.
In the Pt-Pt operation on a LAN case it IS illegal to send IID-TLV in hellos for the zero instance - which Section 2.6.1 explicitly states.

"Clarification that when operating in point-to-point mode on a broadcast circuit the IID-TLV is only included in Pt-Pt IIHs
   associated with non-zero instances has been added. .."

[Les:] Agreed. I did not think I had to state that - I assumed IANA would just do that - but I am happy to add a line in IANA section stating that all references to RFC 6822 should be updated to point to this document.

   Les

Regards,
Alia